﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Script.Serialization;

namespace DotNetConceptSampleJSONSerialization
{
    public class GetList
    {
        public List<string> Customer { get; set; }
        public List<string> Service { get; set; }
    }
    /// <summary>
    /// ImplementForcast class
    /// </summary>
    public class ImplementSerialization
    {
        /// <summary>
        /// Serializes the object.
        /// </summary>
        /// <returns></returns>
        public string SerializeObject()
        {
            JavaScriptSerializer json = new JavaScriptSerializer();
            var obj = new List<Forecast>();
            obj.Add(new Forecast() { Id = 1, Sessions = 1, CreatedDate = DateTime.Now, Depth = 2, ForeCastName = "Daily", ForeCastType = "Weather Report" });
            obj.Add(new Forecast() { Id = 2, Sessions = 1, CreatedDate = DateTime.Now, Depth = 2, ForeCastName = "wwekly", ForeCastType = "Weather Report" });
            obj.Add(new Forecast() { Id = 3, Sessions = 1, CreatedDate = DateTime.Now, Depth = 2, ForeCastName = "Monthly", ForeCastType = "Weather Report" });


            var serializer = new JavaScriptSerializer();
            var serializedResult = serializer.Serialize(obj);
            return serializedResult;
        }
        /// <summary>
        /// Deserializes the object.
        /// </summary>
        /// <returns></returns>
        public GetList DeserializeObject()
        {
            var serializer = new JavaScriptSerializer();
            string jsonObject = "{\"Customer\":[\"1220\",\"Sample Customer\"],\"Service\":[\"1221\",\"1220\",\"Sample Customer\"]}";
            var deserializedResult = serializer.Deserialize<GetList>(jsonObject);
            return deserializedResult;
        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("=========================Deserializing Data==============================");
            var desdata = new ImplementSerialization().DeserializeObject();
            Console.WriteLine(desdata.Customer[0]);
            Console.WriteLine("==========================Serializing Data================================");
            var serdata = new ImplementSerialization().SerializeObject();
            Console.WriteLine(serdata);
            Console.ReadKey();
        }
    }
}
